# std::flat_multiset<Key,Compare,KeyContainer>::extract

From cppreference.com
< cpp‎ | container‎ | flat multiset

container_type extract() &&; |  | (since C++23)

Extracts adapted container `c`. Equivalent to return std::move(c);.

After this operation *this is empty, even if an exception is thrown.

### Parameters

(none)

### Return value

std::move(c).

### Complexity

Constant.

### Example

Run this code

    #include <cassert>
    #include <flat_set>
    #include <print>
    #include <type_traits>
    #include <vector>

    int main()
    {
        std::flat_multiset<int> set{1, 2, 3};
        const auto size = set.size();

        auto c = set.extract();
        assert(c.size() == size);
        assert(set.empty());
        assert(set.keys().empty());
        assert(set.values().empty());

        // The default keys container is std::vector:
        static_assert(std::is_same_v<decltype(c), std::vector<int>>);

        std::println("{}", c);
    }

Output:

    [1, 2, 3]

### See also

replace | replaces the underlying container (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/flat_multiset/extract&oldid=169469"